Arbor 3: FSM & BT Graph Editor 3.7.1

Public Member Functions | Public Attributes | Properties | List of all members
DataBranchRerouteNode Class Reference

Reroute node of DataBranch. More...

Inheritance diagram for DataBranchRerouteNode:

## Public Member Functions
| DataBranchRerouteNode (NodeGraph nodeGraph, int nodeID, System.Type type)
| DataBranchRerouteNode constructor More...
Public Member Functions inherited from Node
| Node (NodeGraph nodeGraph, int nodeID)
| Node constructor More...
virtual bool | IsContainsBehaviour (NodeBehaviour behaviour)
| Check if it contains NodeBehaviour. More...
virtual bool | IsDeletable ()
| Returns whether or not it can be deleted. More...
virtual string | GetName ()
| Get node name. More...
override string | ToString ()
| Convert node to string (for debugging). More...

## Public Attributes
RerouteSlot | link = new RerouteSlot()
| Reroute slot More...
Vector2 | direction = Vector2.right
| Direction of line More...
Public Attributes inherited from Node
Rect | position
| Position on the Arbor Editor. More...
bool | showComment
| Whether to display comments More...
string | nodeComment
| Comment More...

## Properties
DataSlotField | slotField`[get]`
| link's DataSlotField More...
Properties inherited from Node
NodeGraph | nodeGraph`[get]`
| Gets the NodeGraph. More...
int | nodeID`[get]`
| Gets the node identifier. More...

## Additional Inherited Members
Protected Member Functions inherited from Node
virtual void | OnGraphChanged ()
| Called when the NodeGraph to which the Node belongs has changed. More...

## Detailed Description

Reroute node of DataBranch.

## Constructor & Destructor Documentation

## ◆ DataBranchRerouteNode()

DataBranchRerouteNode | ( | NodeGraph | nodeGraph,
|  | int | nodeID,
|  | System.Type | type
| ) |  |

DataBranchRerouteNode constructor

Parameters

  nodeGraph | NodeGraph with this node
  nodeID | Node ID
  type | Value type

Please use the NodeGraph.CreateDataBranchRerouteNode(Vector2,System.Type) DataBranchRerouteNode creating.

## Member Data Documentation

## ◆ direction

Vector2 direction = Vector2.right

Direction of line

## ◆ link

RerouteSlot link = new RerouteSlot()

Reroute slot

## Property Documentation

## ◆ slotField

DataSlotField slotField
| get

link's DataSlotField